export const beatDesc = {
  1: {
    beatNum: 1, // 元素数量
    beatNo: '4-1', // 几分音符
    attribute: [
      {
        number: 4, // 对应几分音符
        type: 'sound' // 音符 | 休止符
      }
    ]
  },
  2: {
    beatNum: 1,
    beatNo: '4-1',
    attribute: [
      {
        number: 4,
        type: 'rest'
      }
    ]
  },
  3: {
    beatNum: 2,
    beatNo: '4-1',
    attribute: [
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      }
    ]
  },
  4: {
    beatNum: 2,
    beatNo: '4-1',
    attribute: [
      {
        number: 8,
        type: 'reset'
      },
      {
        number: 8,
        type: 'sound'
      }
    ]
  },
  5: {
    beatNum: 4,
    beatNo: '4-1',
    attribute: [
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      }
    ]
  },
  6: {
    beatNum: 3,
    beatNo: '4-1',
    attribute: [
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      }
    ]
  },
  7: {
    beatNum: 3,
    beatNo: '4-1',
    attribute: [
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      }
    ]
  },
  8: {
    beatNum: 2,
    beatNo: '4-1',
    attribute: [
      {
        number: 8,
        point: true, // 点
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      }
    ]
  },
  9: {
    beatNum: 2,
    beatNo: '4-1',
    attribute: [
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 8,
        point: true,
        type: 'sound'
      }
    ]
  },
  10: {
    beatNum: 3,
    beatNo: '4-1',
    liaison: true, // 是否连音
    attribute: [
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      }
    ]
  },
  11: {
    beatNum: 6,
    beatNo: '4-1',
    liaison: true,
    attribute: [
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      }
    ]
  },
  12: {
    beatNum: 3,
    beatNo: '4-1',
    attribute: [
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      }
    ]
  },
  13: {
    beatNum: 3,
    beatNo: '4-1',
    attribute: [
      {
        number: 16,
        type: 'reset'
      },
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      }
    ]
  },
  14: {
    beatNum: 4,
    beatNo: '4-1',
    attribute: [
      {
        number: 16,
        type: 'reset'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      }
    ]
  },

  15: {
    beatNum: 1,
    beatNo: '8-3',
    attribute: [
      {
        number: 4,
        point: true,
        type: 'sound'
      }
    ]
  },
  16: {
    beatNum: 1,
    beatNo: '8-3',
    attribute: [
      {
        number: 4,
        point: true,
        type: 'reset'
      }
    ]
  },
  17: {
    beatNum: 2,
    beatNo: '8-3',
    attribute: [
      {
        number: 4,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      }
    ]
  },
  18: {
    beatNum: 3,
    beatNo: '8-3',
    attribute: [
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 4,
        type: 'sound'
      }
    ]
  },
  19: {
    beatNum: 3,
    beatNo: '8-3',
    attribute: [
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      }
    ]
  },
  20: {
    beatNum: 3,
    beatNo: '8-3',
    attribute: [
      {
        number: 8,
        type: 'reset'
      },
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      }
    ]
  },
  21: {
    beatNum: 4,
    beatNo: '8-3',
    attribute: [
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      }
    ]
  },

  22: {
    beatNum: 4,
    beatNo: '8-3',
    attribute: [
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      }
    ]
  },
  23: {
    beatNum: 4,
    beatNo: '8-3',
    attribute: [
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      }
    ]
  },
  24: {
    beatNum: 4,
    beatNo: '8-3',
    attribute: [
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 8,
        type: 'reset'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      }
    ]
  },
  25: {
    beatNum: 5,
    beatNo: '8-3',
    attribute: [
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      }
    ]
  },
  26: {
    beatNum: 5,
    beatNo: '8-3',
    attribute: [
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      }
    ]
  },
  27: {
    beatNum: 5,
    beatNo: '8-3',
    attribute: [
      {
        number: 16,
        type: 'reset'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      }
    ]
  },
  28: {
    beatNum: 6,
    beatNo: '8-3',
    attribute: [
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      }
    ]
  },

  29: {
    beatNum: 3,
    beatNo: '8-3',
    attribute: [
      {
        number: 8,
        point: true,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      }
    ]
  },
  30: {
    beatNum: 3,
    beatNo: '8-3',
    attribute: [
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 8,
        point: true,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      }
    ]
  },
  31: {
    beatNum: 3,
    beatNo: '8-3',
    attribute: [
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      },
      {
        number: 8,
        type: 'sound'
      },
      {
        number: 16,
        type: 'sound'
      }
    ]
  }
} as any;
